List of sales
This method allows us to retrieve the list of sales.
Access method
GET /Sale
Request structure
The following parameters must be passed as URL query string parameters. Available filters for retrieving the sales list are:
PartnerSaleId: (string).Optional. Partner identifier.FromTransactionDateTime: (date).Optional. Initial transaction creation date. ISO 8601 format (yyyy-MM-dd).ToTransactionDateTime: (date).Optional. Final transaction creation date. ISO 8601 format (yyyy-MM-dd).FromAccessDateTime: (date).Optional. Initial access date. ISO 8601 format (yyyy-MM-dd).ToAccessDateTime: (date).Optional. Final access date. ISO 8601 format (yyyy-MM-dd).ClientName: (string).Optional. Customer name.ClientEmail: (string).Optional. Customer email.ClientPhone: (string).Optional. Customer phone number.ClientDocumentIdentifier: (string).Optional. Customer identity document.Page: (int).Optional. Page number to retrieve. Default value1.PageSize: (int).Optional. Number of results to retrieve.
Request example
Examples
{{url}}/Sale?PartnerSaleId=MyPartnerSaleId&FromTransactionDateTime=2022-10-07&Page=1&ClientName=MyClientName
Response structure
-
Sales: (list). List of sales.PartnerSaleId: (string). Partner identifier.-
Activities: (list). List of activities.-
Activity: (object). Activity information.ProductId: (string). Product identifier.CombinedProductId: (string)Optional. Combined product identifier.CombinedProductDiscriminator: (byte)Optional. Indicates which combined product it belongs to within theCombinedProductsarray.AccessCode: (string)Optional. Barcode, when applicable.AccessDateTime: (date)Required. Access date. ISO 8601 format (yyyy-MM-dd).Quantity: (int)Required. Product quantity.ProductName: (string). Product name.ProviderId: (string). Provider identifier.ProviderName: (string). Provider name.Price: (decimal). Sale price of the product.PriceWithoutVat: (decimal). Sale price of the product without taxes.-
PriceMode: (int). Price type:Possible values
- 1: Retail price
- 2: Net
-
Status: (int). Activity status.Possible values
1: Iniciada.2: Confirmada.4: Cancelada.7: En proceso.
-
Discount: (decimal). Total discount applied to the product. It only appears if any discount coupon has been applied. DiscountCoupons: (list). Discount coupons applied to the product. It only appears when any discount coupon has been applied.DiscountCouponId: (string). Discount coupon identifier.Name: (string). Discount coupon name.Description: (string). Discount coupon description.Discount: (decimal). Discount generated on the product.Code: (string). Code used to apply the discount coupon.
FinancialRatios: (object). Economic concepts of a sale.ReferenceSalePrice: (object). Reference sale price.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
Discount: (object). Commercial discount.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
Commission: (object). Partner cost.BasePrice: (double). Base priceQuota: (double). CommissionTotal: (double). Total
SalePrice: (object). Sale price.-
Tickets: (object)Optional. List containing ticket information.TicketId: (string)Required. Ticket identifier.SessionId: (string)Optional. Session identifier.SessionTime: (date)Optional. Session time.AccessDateTime: (date)Required. Builds the suggested message to be shown regarding the access date in the access document according toAccessDateCriteria,AccessDateCriteriaOpenDateSalesDocument,AccessDateTime, andAccessEndDateTime.AccessEndDateTime: (date)Required. If present, indicates the end date of ticket access validity. ISO 8601 format (yyyy-MM-dd).SuggestedAccessDateMessage: (string). Suggested access date message.AccessCode: (string)Optional. Barcode, when applicable.TicketEnclosureId: (string). Ticket enclosure identifier.TicketEnclosureName: (string). Ticket enclosure name.Questions: (object)Optional. Ticket question information.TicketQuestionId: (string)Required. Question identifier.Question: (string). Question.StringValue: (string). Example answer of typestring.
Additional information
- Depending on the question type, the answer value is returned in one property or another. For example, if the question is text type (
DataType= 0), theStringValueproperty will be returned. - Another example: if the question is date type (
DataType= 4), theDateTimeValueproperty will be returned, and so on.
Possible values
- StringValue: Respuesta de la pregunta con un único valoro selección de un valor entre un conjunto de valores predefinidos.
- BooleanValue: Respuesta de la pregunta con true o false.
- DateTimeValue: Respuesta de la pregunta indicando fecha.
- IntegerValue: Respuesta de la pregunta indicando número entero.
- DecimalValue: Respuesta de la pregunta indicando número decimal.
- StringCollectionValue: Selección de varios valores entre un conjunto de valores predefinidos.
- BinaryValue: Archivo.
-
CancellationConditions: (object). Indicates the cancellation policies that apply when cancelling the sale of this product.IsRefundable: (boolean). Indicates whether the customer can cancel free of charge at any point.Rules: (list). Rules applied when cancelling.Percentage: (decimal). Penalty percentage on the ticket price.Amount: (decimal). Total cancellation amount.FromInclusiveDateTime: (date). Date from which the penalty applies, inclusive. ISO 8601 format (yyyy-MM-dd).ToExclusiveDateTime: (date). Date until which the penalty applies, exclusive. ISO 8601 format (yyyy-MM-dd).HoursInAdvanceOfAccess: (int). Number of hours in advance with respect to the access date from which the penalty amount indicated inAmountwill be applied.
-
-
Accommodations: (list). List of accommodations included in the sale.Accommodation: (object). Accommodation information.ProductId: (string). Rate identifier.ProductConditions: (string). Product conditions.AccessDateTime: (dateTime). Check-in date.AccessEndDateTime: (dateTime). Check-out date.Quantity: (int). Quantity of units added.Price: (decimal). Rate price.PriceMode: (int). Price type.
-
CombinedProducts: (list). List of combined products from the activities included in the sale.CombinedProductId: (string). Combined product identifier.CombinedProductDiscriminator: (string). Relationship between the product (array ofProducts) and the combined product.Price: (decimal). Price of each combined product.PriceWithoutVat: (decimal). Price of each combined product without taxes.CancellationConditions: (object). Indicates the cancellation policies that apply when cancelling the sale of this product.IsRefundable: (boolean). Indicates whether the customer can cancel free of charge at any point.Rules: (list). Rules applied when cancelling.Percentage: (decimal). Penalty percentage on the ticket price.Amount: (decimal). Total cancellation amount.FromInclusiveDateTime: (date). Date from which the penalty applies, inclusive. ISO 8601 format (yyyy-MM-dd).ToExclusiveDateTime: (date). Date until which the penalty applies, exclusive. ISO 8601 format (yyyy-MM-dd).HoursInAdvanceOfAccess: (int). Number of hours in advance with respect to the access date from which the penalty amount indicated inAmountwill be applied.
-
Client: (object). Sale customer data.Client: (object). Client information.Id: (string). Client identifier.CreatedDate: (dateTime). Date when the client was created.BirthDate: (dateTime). Birth date.FullName: (string). Name.Surname: (string). First surname.Surname2: (string). Second surname.Email: (string). Email.PhoneNumber: (string). Phone number.DocumentIdentifier: (string). Identification document (ID card, passport, etc.).CountryCode: (string). Country code.LanguageCode: (string). Language code.Gender: (byte). Gender (optional).Province: (string). Province.City: (string). City.ZipCode: (string). Postal code.
-
TotalPrice: (decimal). Total sale price. TotalPriceWithoutVat: (decimal). Total sale price without taxes.TotalDiscount: (decimal). Total discount applied to the sale. It only appears if a discount coupon has been applied.InsurancePolicyAmount: (decimal). Total refund insurance price.InsurancePolicyAmountWithoutTaxes: (decimal). Total refund insurance price without taxes.
-
PageNumber: (int). Indicates the requested page. HasPreviousPage: (boolean). Indicates whether there is a previous page.HasNextPage: (boolean). Indicates whether there is a next page.-
IsFirstPage: (boolean). Indicates whether the requested page is the first page. -
Success: (boolean). Value that indicates whether the call was processed correctly or not. Errors: (list). Array of errors.Error: (object).ErrorMessage: (string). Error message explaining why the request was not successful. If it was correct, it will returnnull.ErrorCode: (int). Code that identifies the error.
ErrorEntityBreakDown(list): list that contains objects with the name and ID in case of error.Id(string): identifierName(string): related name of the identifier.
Response example
Examples
{
"Sales": [
{
"PartnerSaleId": "i6m7uj93p1mie",
"TotalPrice": 22.36,
"TotalPriceWithoutVat": 18.48,
"TotalDiscount": 0.0,
"Client": {
"CreatedDate": "2024-07-26T11:41:34.453",
"FullName": "Experticket Team",
"Surname": "Team",
"Email": "tecnologia@experticket.com",
"PhoneNumber": "666666666",
"CountryCode": "es",
"LanguageCode": "es",
"Gender": 0,
"AcceptsEmailContact": false,
"AllowCustomerProfiling": false,
"Success": false,
"Timestamp": "0001-01-01T00:00:00"
},
"Activities": [
{
"FinancialRatios": {
"ReferenceSalePrice": {
"BasePrice": 18.48,
"Quota": 3.88,
"Total": 22.36
},
"Discount": {
"BasePrice": 0.00,
"Quota": 0.0,
"Total": 0.0
},
"Commission": {
"BasePrice": 2.22,
"Quota": 0.47,
"Total": 2.68
},
"SalePrice": {
"BasePrice": 18.48,
"Quota": 3.88,
"Total": 22.36
}
},
"ProductId": "c88r4zkwdocqy",
"Tickets": [
{
"TicketId": "b3ziixhux5tq6",
"AccessCode": "NOTVALIDhkz4d6nyef17y",
"BillingCode": "3/0/3rihi8om3z57e",
"TicketName": "Entrada Adulto",
"AccessDateTime": "2024-08-02T00:00:00",
"AccessEndDateTime": "2024-08-02T00:00:00",
"SuggestedAccessDateMessage": "2/8/2024",
"EnclosureId": "shcbo55y5am5c",
"EnclosureName": "Recinto 1"
}
],
"ProviderId": "1tnsbzkpnoz1o",
"Status": 2,
"PurchaseFlowType": 1,
"ProductName": "Entrada parque",
"ProviderName": "Parque",
"Price": 22.360000000000,
"PriceWithoutVat": 18.48,
"AccessDateTime": "2024-08-02T00:00:00",
"PriceMode": 1,
"AccessDateCriteria": 0,
"SalesDocumentSettings": {
"ShowPrice": true
},
"CancellationConditions": {
"IsRefundable": true,
"Rules": [
{
"HoursInAdvanceOfAccess": 96.00,
"Percentage": 100.00,
"Amount": 22.36,
"FromInclusiveDateTime": "2024-07-29T00:00:00"
}
]
},
"PartnerCode": "u6bsdoty1zzar",
"ProviderType": 0
}
],
"PointOfSaleCustomCodes": [],
"EconomicMovementAmount": 0.00,
"EconomicMovementAmountWithoutTax": 0.0,
"InsurancePolicyAmount": 0.00,
"InsurancePolicyAmountWithoutTax": 0.0
}
],
"PageNumber": 1,
"HasPreviousPage": false,
"HasNextPage": false,
"IsFirstPage": true,
"Success": true
}